<ion-header>
  <ion-toolbar>
    <ion-title>register</ion-title>
    <ion-buttons slot="primary">
      <ion-button routerLink="/home">CONTACT</ion-button>

    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <form class="form" [formGroup]="validations_form" (ngSubmit)="tryRegister(validations_form.value)">
    <ion-item>
      <ion-label position="floating" color="primary">First Name</ion-label>
      <ion-input type="text" formControlName="f_name"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.f_name">
        <div class="error-message"
          *ngIf="validations_form.get('f_name').hasError(validation.type) && (validations_form.get('f_name').dirty || validations_form.get('f_name').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    <ion-item>
      <ion-label position="floating" color="primary">Last Name</ion-label>
      <ion-input type="text" formControlName="l_name"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.l_name">
        <div class="error-message"
          *ngIf="validations_form.get('l_name').hasError(validation.type) && (validations_form.get('l_name').dirty || validations_form.get('l_name').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    <ion-item>
      <ion-label position="floating" color="primary">Email</ion-label>
      <ion-input type="text" formControlName="email"></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.email">
        <div class="error-message"
          *ngIf="validations_form.get('email').hasError(validation.type) && (validations_form.get('email').dirty || validations_form.get('email').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    <ion-item>
      <ion-label position="floating" color="primary">Password</ion-label>
      <ion-input type="password" formControlName="password" class="form-control" required></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.password">
        <div class="error-message"
          *ngIf="validations_form.get('password').hasError(validation.type) && (validations_form.get('password').dirty || validations_form.get('password').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    <ion-item>
      <ion-label position="floating" color="primary">Confirm Password</ion-label>
      <ion-input type="password" formControlName="c_password" class="form-control" required></ion-input>
    </ion-item>
    <div class="validation-error">
      <ng-container *ngFor="let validation of validation_messages.c_password">
        <div class="error-message"
          *ngIf="validations_form.get('c_password').hasError(validation.type) && (validations_form.get('c_password').dirty || validations_form.get('c_password').touched)">
        {{validation.message}}
        </div>
      </ng-container>
    </div>
    
    <ion-button class="submit-btn" type="submit" [disabled]="!validations_form.valid">Register</ion-button>
    <label class="error-message">{{errorMessage}}</label>
    <label class="success-message">{{successMessage}}</label>
  </form>
  <p class="go-to-login">Already have an account? <a (click)="goLoginPage()">Try to Log in</a></p>
</ion-content>
